Bug 193291 - [PATCH] audio/moc: disable alsa detection, which breaks the player
Summary: [PATCH] audio/moc: disable alsa detection, which breaks the player
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-03 18:18 UTC by Dmitry Marakasov
Modified: 2014-09-18 20:11 UTC (History)
3 users (show)

See Also:


Attachments
moc-2.4.4.patch (546 bytes, patch)
2014-09-03 18:18 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2014-09-03 18:18:45 UTC
Created attachment 146743 [details]
moc-2.4.4.patch

moc's configure checks for ALSA with pkg-config. If it's detected, it seems to be used by default. That

1. Creates hidden dependency on audio/alsa
2. Breaks the player, as it instead of playinf music it displays `Can't set period time: Invalid argument' error

Solution is to patch configure to not detect ALSA.

Port maintainer (rzinkov@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 1.02 (mode: change, diff: SVN)
Comment 1 Marcus von Appen freebsd_committer freebsd_triage 2014-09-05 22:12:32 UTC
Added maintainer for a check and approval.
Comment 2 commit-hook freebsd_committer 2014-09-18 20:11:00 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Sep 18 20:10:35 UTC 2014
New revision: 368517
URL: http://svnweb.freebsd.org/changeset/ports/368517

Log:
  - Suppress ALSA detection which creates hidden dependency and doesn't work

  PR:		193291
  Submitted by:	amdmi3
  Approved by:	maintainer timeout

Changes:
  head/audio/moc/Makefile